//
//  <C> Copyright 1995, by Emanuel G. Noik
//
//

#include <stdio.h>
#include <tk.h>

//extern int matherr();
//int *tclDummyMathPtr = (int *) matherr;

static Tk_Window myMain;
static Tcl_Interp *myInterp;

//------------------------------------------------------------------------------

int main( int argc, char* argv[] )
{
   Tk_Main( argc, argv, Tcl_AppInit );
   return 0; /* Needed only to prevent compiler warning. */
}

//------------------------------------------------------------------------------

int Tcl_AppInit( Tcl_Interp *interp )
{
   myInterp = interp;
   myMain = Tk_MainWindow( interp );

   extern int GrUtil_Init( Tcl_Interp* );
   extern int GrBase_Init( Tcl_Interp* );
   //extern int GrLoop_Init( Tcl_Interp* );
   extern int GrRela_Init( Tcl_Interp* );
   extern int GrMath_Init( Tcl_Interp* );
   extern int GrGfxs_Init( Tcl_Interp* );
   extern int GrStat_Init( Tcl_Interp* );

   if( Tcl_Init(interp) == TCL_ERROR ) goto error;
   if( Tk_Init(interp)  == TCL_ERROR ) goto error;

   if( GrUtil_Init(interp) == TCL_ERROR ) goto error;
   if( GrBase_Init(interp) == TCL_ERROR ) goto error;
   //if( GrLoop_Init(interp) == TCL_ERROR ) goto error;
   if( GrRela_Init(interp) == TCL_ERROR ) goto error;
   if( GrMath_Init(interp) == TCL_ERROR ) goto error;
   if( GrGfxs_Init(interp) == TCL_ERROR ) goto error;
   if( GrStat_Init(interp) == TCL_ERROR ) goto error;

   extern Tk_ItemType tkMeterType, tkSBitmapType;
   Tk_CreateItemType( &tkMeterType );
   Tk_CreateItemType( &tkSBitmapType );

   tcl_RcFileName = "~/.grwishrc";
   return TCL_OK;

   error:
      printf( "could not initialize Tcl_App\n" );
      return TCL_ERROR;
}

//------------------------------------------------------------------------------
